Bug 248465 - databases/cassandra3: Update to 3.11.7
Summary: databases/cassandra3: Update to 3.11.7
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://gitbox.apache.org/repos/asf?p...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-08-04 12:32 UTC by Angelo Polo
Modified: 2020-08-31 14:46 UTC (History)
2 users (show)

See Also:


Attachments
Update to 3.11.7 (7.05 KB, patch)
2020-08-04 12:32 UTC, Angelo Polo
language.devel: maintainer-approval+
Details | Diff
Reorder of variables (8.68 KB, patch)
2020-08-13 12:41 UTC, Fernando Apesteguía
fernape: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Angelo Polo 2020-08-04 12:32:16 UTC
Created attachment 217002 [details]
Update to 3.11.7

Update to version 3.11.7.
SVN patch attached.

Updated maven repo must be manually copied to distfiles for patch testing and uploaded to LOCAL as part of the commit process. It is available at the following link:
https://drive.google.com/file/d/1SjKsiIUBzIRgTbfqpYqDfiwtGaL1b9SC
Comment 1 Fernando Apesteguía freebsd_committer 2020-08-13 12:18:30 UTC
^Triage: Maintainer-feedback flag (+) not required unless requested (?) first.
Comment 2 Fernando Apesteguía freebsd_committer 2020-08-13 12:41:16 UTC
Created attachment 217193 [details]
Reorder of variables

The port needed some reordering of variables
Comment 3 Fernando Apesteguía freebsd_committer 2020-08-13 12:42:14 UTC
I added a new patch that reorders some misplaced variables.

Unfortunately, the port fails to fetch:

===>   cassandra3-3.11.7 depends on file: /usr/local/sbin/pkg - found
=> apache-cassandra-3.11.7-src.tar.gz doesn't seem to exist in /data/fernape_data/FreeBSD-repos/ports/head/distfiles/.
=> Attempting to fetch https://www.apache.org/dist/cassandra/3.11.7/apache-cassandra-3.11.7-src.tar.gz
apache-cassandra-3.11.7-src.tar.gz                      34 MB 9072 kBps    04s
=> apache-cassandra-3.11.7-repo.tar.gz doesn't seem to exist in /data/fernape_data/FreeBSD-repos/ports/head/distfiles/.
=> Attempting to fetch http://distcache.FreeBSD.org/local-distfiles/yuri/apache-cassandra-3.11.7-repo.tar.gz
fetch: http://distcache.FreeBSD.org/local-distfiles/yuri/apache-cassandra-3.11.7-repo.tar.gz: Not Found
=> Attempting to fetch http://distcache.us-east.FreeBSD.org/local-distfiles/yuri/apache-cassandra-3.11.7-repo.tar.gz
fetch: http://distcache.us-east.FreeBSD.org/local-distfiles/yuri/apache-cassandra-3.11.7-repo.tar.gz: Not Found
=> Attempting to fetch http://distcache.eu.FreeBSD.org/local-distfiles/yuri/apache-cassandra-3.11.7-repo.tar.gz
fetch: http://distcache.eu.FreeBSD.org/local-distfiles/yuri/apache-cassandra-3.11.7-repo.tar.gz: Not Found
=> Attempting to fetch http://distcache.us-west.FreeBSD.org/local-distfiles/yuri/apache-cassandra-3.11.7-repo.tar.gz
fetch: http://distcache.us-west.FreeBSD.org/local-distfiles/yuri/apache-cassandra-3.11.7-repo.tar.gz: Not Found
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/apache-cassandra-3.11.7-repo.tar.gz
fetch: http://distcache.FreeBSD.org/ports-distfiles/apache-cassandra-3.11.7-repo.tar.gz: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /data/fernape_data/FreeBSD-repos/ports/head/distfiles/ and try again.
*** Error code 1

Would you mind having a look?
Comment 4 Angelo Polo 2020-08-13 15:33:37 UTC
(In reply to Fernando Apesteguía from comment #3)

The maven repo needs to be hosted on LOCAL when the patch is accepted. For now, download it from the link in comment #0 above and copy to your distfiles directory.
Comment 5 Angelo Polo 2020-08-13 15:37:48 UTC
I can't seem to change the maintainer-approval status on attachment #217193 [details] to '+' for some reason (returning here on submit it's always still '?') but it looks fine to/builds for me.
Comment 6 Fernando Apesteguía freebsd_committer 2020-08-13 18:02:31 UTC
(In reply to Angelo Polo from comment #5)
Hi Angelo,

Yuri will take this PR over (thanks!). For some reason I can't download the files from Drive. It complains that the file is too big to be scanned for viruses and the "Download anyway" button doesn't work for me.
Comment 7 Angelo Polo 2020-08-31 14:46:55 UTC
Version 3.11.8, which will supersede this update, is probably going to be released in the next few days. So you can hold off on this one in favor of updating directly from 3.11.6 to 3.11.8.